> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# UsersClient

> Reference for the UsersClient class in the X API TypeScript SDK. Methods, parameters, and return types for the X API v2 users endpoints.

Client for users operations

This client provides methods for interacting with the users endpoints
of the X API. It handles authentication, request formatting, and response
parsing for all users related operations.

## Constructors

### constructor

• **new UsersClient**(`client`): [`UsersClient`](/xdks/typescript/reference/classes/UsersClient)

Creates a new users client instance

#### Parameters

| Name     | Type                                                  | Description                    |
| :------- | :---------------------------------------------------- | :----------------------------- |
| `client` | [`Client`](/xdks/typescript/reference/classes/Client) | The main X API client instance |

#### Returns

[`UsersClient`](/xdks/typescript/reference/classes/UsersClient)

#### Defined in

[users/client.ts:1234](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1234)

## Methods

### getByUsernames

▸ **getByUsernames**(`usernames`, `options`): `Promise`\<`Response`>

Get Users by usernames
Retrieves details of multiple Users by their usernames.

#### Parameters

| Name        | Type                                                                  | Description                           |
| :---------- | :-------------------------------------------------------------------- | :------------------------------------ |
| `usernames` | `any`\[]                                                              | A list of usernames, comma-separated. |
| `options`   | `GetByUsernamesOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                     |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:1279](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1279)

▸ **getByUsernames**(`usernames`, `options?`): `Promise`\<[`Get2UsersByResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersByResponse)>

#### Parameters

| Name        | Type                    |
| :---------- | :---------------------- |
| `usernames` | `any`\[]                |
| `options?`  | `GetByUsernamesOptions` |

#### Returns

`Promise`\<[`Get2UsersByResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersByResponse)>

#### Defined in

[users/client.ts:1292](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1292)

***

### getRepostsOfMe

▸ **getRepostsOfMe**(`options`): `Promise`\<`Response`>

Get Reposts of me
Retrieves a list of Posts that repost content from the authenticated user.

#### Parameters

| Name      | Type                                                                  |
| :-------- | :-------------------------------------------------------------------- |
| `options` | `GetRepostsOfMeOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:1471](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1471)

▸ **getRepostsOfMe**(`options?`): `Promise`\<[`Get2UsersRepostsOfMeResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersRepostsOfMeResponse)>

#### Parameters

| Name       | Type                    |
| :--------- | :---------------------- |
| `options?` | `GetRepostsOfMeOptions` |

#### Returns

`Promise`\<[`Get2UsersRepostsOfMeResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersRepostsOfMeResponse)>

#### Defined in

[users/client.ts:1480](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1480)

***

### unlikePost

▸ **unlikePost**(`id`, `tweetId`, `options`): `Promise`\<`Response`>

Unlike Post
Causes the authenticated user to Unlike a specific Post by its ID.

#### Parameters

| Name                         | Type     | Description                                                                    |
| :--------------------------- | :------- | :----------------------------------------------------------------------------- |
| `id`                         | `string` | The ID of the authenticated source User that is requesting to unlike the Post. |
| `tweetId`                    | `string` | The ID of the Post that the User is requesting to unlike.                      |
| `options`                    | `Object` | -                                                                              |
| `options.requestOptions`     | `Object` | -                                                                              |
| `options.requestOptions.raw` | `true`   | -                                                                              |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:1741](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1741)

▸ **unlikePost**(`id`, `tweetId`): `Promise`\<[`UsersLikesDeleteResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersLikesDeleteResponse)>

#### Parameters

| Name      | Type     |
| :-------- | :------- |
| `id`      | `string` |
| `tweetId` | `string` |

#### Returns

`Promise`\<[`UsersLikesDeleteResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersLikesDeleteResponse)>

#### Defined in

[users/client.ts:1758](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1758)

***

### getBookmarks

▸ **getBookmarks**(`id`, `options`): `Promise`\<`Response`>

Get Bookmarks
Retrieves a list of Posts bookmarked by the authenticated user.

#### Parameters

| Name      | Type                                                                | Description                                                         |
| :-------- | :------------------------------------------------------------------ | :------------------------------------------------------------------ |
| `id`      | `string`                                                            | The ID of the authenticated source User for whom to return results. |
| `options` | `GetBookmarksOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:1861](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1861)

▸ **getBookmarks**(`id`, `options?`): `Promise`\<[`Get2UsersIdBookmarksResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdBookmarksResponse)>

#### Parameters

| Name       | Type                  |
| :--------- | :-------------------- |
| `id`       | `string`              |
| `options?` | `GetBookmarksOptions` |

#### Returns

`Promise`\<[`Get2UsersIdBookmarksResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdBookmarksResponse)>

#### Defined in

[users/client.ts:1874](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L1874)

***

### createBookmark

▸ **createBookmark**(`id`, `body`, `options`): `Promise`\<`Response`>

Create Bookmark
Adds a post to the authenticated user’s bookmarks.

#### Parameters

| Name                         | Type                                                                                     | Description                                                        |
| :--------------------------- | :--------------------------------------------------------------------------------------- | :----------------------------------------------------------------- |
| `id`                         | `string`                                                                                 | The ID of the authenticated source User for whom to add bookmarks. |
| `body`                       | [`BookmarkAddRequest`](/xdks/typescript/reference/interfaces/Schemas.BookmarkAddRequest) | Request body                                                       |
| `options`                    | `Object`                                                                                 | -                                                                  |
| `options.requestOptions`     | `Object`                                                                                 | -                                                                  |
| `options.requestOptions.raw` | `true`                                                                                   | -                                                                  |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:2139](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2139)

▸ **createBookmark**(`id`, `body`): `Promise`\<[`BookmarkMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkMutationResponse)>

#### Parameters

| Name   | Type                                                                                     |
| :----- | :--------------------------------------------------------------------------------------- |
| `id`   | `string`                                                                                 |
| `body` | [`BookmarkAddRequest`](/xdks/typescript/reference/interfaces/Schemas.BookmarkAddRequest) |

#### Returns

`Promise`\<[`BookmarkMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkMutationResponse)>

#### Defined in

[users/client.ts:2154](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2154)

***

### getFollowers

▸ **getFollowers**(`id`, `options`): `Promise`\<`Response`>

Get followers
Retrieves a list of Users who follow a specific User by their ID.

#### Parameters

| Name      | Type                                                                | Description                   |
| :-------- | :------------------------------------------------------------------ | :---------------------------- |
| `id`      | `string`                                                            | The ID of the User to lookup. |
| `options` | `GetFollowersOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:2245](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2245)

▸ **getFollowers**(`id`, `options?`): `Promise`\<[`Get2UsersIdFollowersResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdFollowersResponse)>

#### Parameters

| Name       | Type                  |
| :--------- | :-------------------- |
| `id`       | `string`              |
| `options?` | `GetFollowersOptions` |

#### Returns

`Promise`\<[`Get2UsersIdFollowersResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdFollowersResponse)>

#### Defined in

[users/client.ts:2258](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2258)

***

### unpinList

▸ **unpinList**(`id`, `listId`, `options`): `Promise`\<`Response`>

Unpin List
Causes the authenticated user to unpin a specific List by its ID.

#### Parameters

| Name                         | Type     | Description                                                         |
| :--------------------------- | :------- | :------------------------------------------------------------------ |
| `id`                         | `string` | The ID of the authenticated source User for whom to return results. |
| `listId`                     | `string` | The ID of the List to unpin.                                        |
| `options`                    | `Object` | -                                                                   |
| `options.requestOptions`     | `Object` | -                                                                   |
| `options.requestOptions.raw` | `true`   | -                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:2474](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2474)

▸ **unpinList**(`id`, `listId`): `Promise`\<[`ListUnpinResponse`](/xdks/typescript/reference/interfaces/Schemas.ListUnpinResponse)>

#### Parameters

| Name     | Type     |
| :------- | :------- |
| `id`     | `string` |
| `listId` | `string` |

#### Returns

`Promise`\<[`ListUnpinResponse`](/xdks/typescript/reference/interfaces/Schemas.ListUnpinResponse)>

#### Defined in

[users/client.ts:2491](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2491)

***

### getById

▸ **getById**(`id`, `options`): `Promise`\<`Response`>

Get User by ID
Retrieves details of a specific User by their ID.

#### Parameters

| Name      | Type                                                           | Description                   |
| :-------- | :------------------------------------------------------------- | :---------------------------- |
| `id`      | `string`                                                       | The ID of the User to lookup. |
| `options` | `GetByIdOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:2594](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2594)

▸ **getById**(`id`, `options?`): `Promise`\<[`Get2UsersIdResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdResponse)>

#### Parameters

| Name       | Type             |
| :--------- | :--------------- |
| `id`       | `string`         |
| `options?` | `GetByIdOptions` |

#### Returns

`Promise`\<[`Get2UsersIdResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdResponse)>

#### Defined in

[users/client.ts:2607](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2607)

***

### getMentions

▸ **getMentions**(`id`, `options`): `Promise`\<`Response`>

Get mentions
Retrieves a list of Posts that mention a specific User by their ID.

#### Parameters

| Name      | Type                                                               | Description                   |
| :-------- | :----------------------------------------------------------------- | :---------------------------- |
| `id`      | `string`                                                           | The ID of the User to lookup. |
| `options` | `GetMentionsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:2781](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2781)

▸ **getMentions**(`id`, `options?`): `Promise`\<[`Get2UsersIdMentionsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdMentionsResponse)>

#### Parameters

| Name       | Type                 |
| :--------- | :------------------- |
| `id`       | `string`             |
| `options?` | `GetMentionsOptions` |

#### Returns

`Promise`\<[`Get2UsersIdMentionsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdMentionsResponse)>

#### Defined in

[users/client.ts:2794](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L2794)

***

### unrepostPost

▸ **unrepostPost**(`id`, `sourceTweetId`, `options`): `Promise`\<`Response`>

Unrepost Post
Causes the authenticated user to unrepost a specific Post by its ID.

#### Parameters

| Name                         | Type     | Description                                                                    |
| :--------------------------- | :------- | :----------------------------------------------------------------------------- |
| `id`                         | `string` | The ID of the authenticated source User that is requesting to repost the Post. |
| `sourceTweetId`              | `string` | The ID of the Post that the User is requesting to unretweet.                   |
| `options`                    | `Object` | -                                                                              |
| `options.requestOptions`     | `Object` | -                                                                              |
| `options.requestOptions.raw` | `true`   | -                                                                              |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:3149](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3149)

▸ **unrepostPost**(`id`, `sourceTweetId`): `Promise`\<[`UsersRetweetsDeleteResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersRetweetsDeleteResponse)>

#### Parameters

| Name            | Type     |
| :-------------- | :------- |
| `id`            | `string` |
| `sourceTweetId` | `string` |

#### Returns

`Promise`\<[`UsersRetweetsDeleteResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersRetweetsDeleteResponse)>

#### Defined in

[users/client.ts:3166](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3166)

***

### deleteBookmark

▸ **deleteBookmark**(`id`, `tweetId`, `options`): `Promise`\<`Response`>

Delete Bookmark
Removes a Post from the authenticated user’s Bookmarks by its ID.

#### Parameters

| Name                         | Type     | Description                                                              |
| :--------------------------- | :------- | :----------------------------------------------------------------------- |
| `id`                         | `string` | The ID of the authenticated source User whose bookmark is to be removed. |
| `tweetId`                    | `string` | The ID of the Post that the source User is removing from bookmarks.      |
| `options`                    | `Object` | -                                                                        |
| `options.requestOptions`     | `Object` | -                                                                        |
| `options.requestOptions.raw` | `true`   | -                                                                        |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:3273](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3273)

▸ **deleteBookmark**(`id`, `tweetId`): `Promise`\<[`BookmarkMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkMutationResponse)>

#### Parameters

| Name      | Type     |
| :-------- | :------- |
| `id`      | `string` |
| `tweetId` | `string` |

#### Returns

`Promise`\<[`BookmarkMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkMutationResponse)>

#### Defined in

[users/client.ts:3290](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3290)

***

### unfollowList

▸ **unfollowList**(`id`, `listId`, `options`): `Promise`\<`Response`>

Unfollow List
Causes the authenticated user to unfollow a specific List by its ID.

#### Parameters

| Name                         | Type     | Description                                                          |
| :--------------------------- | :------- | :------------------------------------------------------------------- |
| `id`                         | `string` | The ID of the authenticated source User that will unfollow the List. |
| `listId`                     | `string` | The ID of the List to unfollow.                                      |
| `options`                    | `Object` | -                                                                    |
| `options.requestOptions`     | `Object` | -                                                                    |
| `options.requestOptions.raw` | `true`   | -                                                                    |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:3391](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3391)

▸ **unfollowList**(`id`, `listId`): `Promise`\<[`ListFollowedResponse`](/xdks/typescript/reference/interfaces/Schemas.ListFollowedResponse)>

#### Parameters

| Name     | Type     |
| :------- | :------- |
| `id`     | `string` |
| `listId` | `string` |

#### Returns

`Promise`\<[`ListFollowedResponse`](/xdks/typescript/reference/interfaces/Schemas.ListFollowedResponse)>

#### Defined in

[users/client.ts:3408](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3408)

***

### unmuteUser

▸ **unmuteUser**(`sourceUserId`, `targetUserId`, `options`): `Promise`\<`Response`>

Unmute User
Causes the authenticated user to unmute a specific user by their ID.

#### Parameters

| Name                         | Type     | Description                                                                           |
| :--------------------------- | :------- | :------------------------------------------------------------------------------------ |
| `sourceUserId`               | `string` | The ID of the authenticated source User that is requesting to unmute the target User. |
| `targetUserId`               | `string` | The ID of the User that the source User is requesting to unmute.                      |
| `options`                    | `Object` | -                                                                                     |
| `options.requestOptions`     | `Object` | -                                                                                     |
| `options.requestOptions.raw` | `true`   | -                                                                                     |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:3515](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3515)

▸ **unmuteUser**(`sourceUserId`, `targetUserId`): `Promise`\<[`MuteUserMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.MuteUserMutationResponse)>

#### Parameters

| Name           | Type     |
| :------------- | :------- |
| `sourceUserId` | `string` |
| `targetUserId` | `string` |

#### Returns

`Promise`\<[`MuteUserMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.MuteUserMutationResponse)>

#### Defined in

[users/client.ts:3532](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3532)

***

### getMe

▸ **getMe**(`options`): `Promise`\<`Response`>

Get my User
Retrieves details of the authenticated user.

#### Parameters

| Name      | Type                                                         |
| :-------- | :----------------------------------------------------------- |
| `options` | `GetMeOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:3631](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3631)

▸ **getMe**(`options?`): `Promise`\<[`Get2UsersMeResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersMeResponse)>

#### Parameters

| Name       | Type           |
| :--------- | :------------- |
| `options?` | `GetMeOptions` |

#### Returns

`Promise`\<[`Get2UsersMeResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersMeResponse)>

#### Defined in

[users/client.ts:3640](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3640)

***

### getMuting

▸ **getMuting**(`id`, `options`): `Promise`\<`Response`>

Get muting
Retrieves a list of Users muted by the authenticated user.

#### Parameters

| Name      | Type                                                             | Description                                                         |
| :-------- | :--------------------------------------------------------------- | :------------------------------------------------------------------ |
| `id`      | `string`                                                         | The ID of the authenticated source User for whom to return results. |
| `options` | `GetMutingOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:3796](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3796)

▸ **getMuting**(`id`, `options?`): `Promise`\<[`Get2UsersIdMutingResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdMutingResponse)>

#### Parameters

| Name       | Type               |
| :--------- | :----------------- |
| `id`       | `string`           |
| `options?` | `GetMutingOptions` |

#### Returns

`Promise`\<[`Get2UsersIdMutingResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdMutingResponse)>

#### Defined in

[users/client.ts:3809](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L3809)

***

### muteUser

▸ **muteUser**(`id`, `options`): `Promise`\<`Response`>

Mute User
Causes the authenticated user to mute a specific User by their ID.

#### Parameters

| Name      | Type                                                            | Description                                                                         |
| :-------- | :-------------------------------------------------------------- | :---------------------------------------------------------------------------------- |
| `id`      | `string`                                                        | The ID of the authenticated source User that is requesting to mute the target User. |
| `options` | `MuteUserOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:4015](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4015)

▸ **muteUser**(`id`, `options?`): `Promise`\<[`MuteUserMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.MuteUserMutationResponse)>

#### Parameters

| Name       | Type              |
| :--------- | :---------------- |
| `id`       | `string`          |
| `options?` | `MuteUserOptions` |

#### Returns

`Promise`\<[`MuteUserMutationResponse`](/xdks/typescript/reference/interfaces/Schemas.MuteUserMutationResponse)>

#### Defined in

[users/client.ts:4028](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4028)

***

### search

▸ **search**(`query`, `options`): `Promise`\<`Response`>

Search Users
Retrieves a list of Users matching a search query.

#### Parameters

| Name      | Type                                                          | Description                                        |
| :-------- | :------------------------------------------------------------ | :------------------------------------------------- |
| `query`   | `string`                                                      | TThe the query string by which to query for users. |
| `options` | `SearchOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                  |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:4136](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4136)

▸ **search**(`query`, `options?`): `Promise`\<[`Get2UsersSearchResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersSearchResponse)>

#### Parameters

| Name       | Type            |
| :--------- | :-------------- |
| `query`    | `string`        |
| `options?` | `SearchOptions` |

#### Returns

`Promise`\<[`Get2UsersSearchResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersSearchResponse)>

#### Defined in

[users/client.ts:4149](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4149)

***

### getBlocking

▸ **getBlocking**(`id`, `options`): `Promise`\<`Response`>

Get blocking
Retrieves a list of Users blocked by the specified User ID.

#### Parameters

| Name      | Type                                                               | Description                                                         |
| :-------- | :----------------------------------------------------------------- | :------------------------------------------------------------------ |
| `id`      | `string`                                                           | The ID of the authenticated source User for whom to return results. |
| `options` | `GetBlockingOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:4362](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4362)

▸ **getBlocking**(`id`, `options?`): `Promise`\<[`Get2UsersIdBlockingResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdBlockingResponse)>

#### Parameters

| Name       | Type                 |
| :--------- | :------------------- |
| `id`       | `string`             |
| `options?` | `GetBlockingOptions` |

#### Returns

`Promise`\<[`Get2UsersIdBlockingResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdBlockingResponse)>

#### Defined in

[users/client.ts:4375](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4375)

***

### getByIds

▸ **getByIds**(`ids`, `options`): `Promise`\<`Response`>

Get Users by IDs
Retrieves details of multiple Users by their IDs.

#### Parameters

| Name      | Type                                                            | Description                                                         |
| :-------- | :-------------------------------------------------------------- | :------------------------------------------------------------------ |
| `ids`     | `any`\[]                                                        | A list of User IDs, comma-separated. You can specify up to 100 IDs. |
| `options` | `GetByIdsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:4581](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4581)

▸ **getByIds**(`ids`, `options?`): `Promise`\<[`Get2UsersResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersResponse)>

#### Parameters

| Name       | Type              |
| :--------- | :---------------- |
| `ids`      | `any`\[]          |
| `options?` | `GetByIdsOptions` |

#### Returns

`Promise`\<[`Get2UsersResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersResponse)>

#### Defined in

[users/client.ts:4594](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4594)

***

### getFollowing

▸ **getFollowing**(`id`, `options`): `Promise`\<`Response`>

Get following
Retrieves a list of Users followed by a specific User by their ID.

#### Parameters

| Name      | Type                                                                | Description                   |
| :-------- | :------------------------------------------------------------------ | :---------------------------- |
| `id`      | `string`                                                            | The ID of the User to lookup. |
| `options` | `GetFollowingOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:4777](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4777)

▸ **getFollowing**(`id`, `options?`): `Promise`\<[`Get2UsersIdFollowingResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdFollowingResponse)>

#### Parameters

| Name       | Type                  |
| :--------- | :-------------------- |
| `id`       | `string`              |
| `options?` | `GetFollowingOptions` |

#### Returns

`Promise`\<[`Get2UsersIdFollowingResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdFollowingResponse)>

#### Defined in

[users/client.ts:4790](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L4790)

***

### followUser

▸ **followUser**(`id`, `options`): `Promise`\<`Response`>

Follow User
Causes the authenticated user to follow a specific user by their ID.

#### Parameters

| Name      | Type                                                              | Description                                                                           |
| :-------- | :---------------------------------------------------------------- | :------------------------------------------------------------------------------------ |
| `id`      | `string`                                                          | The ID of the authenticated source User that is requesting to follow the target User. |
| `options` | `FollowUserOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                                     |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:5002](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5002)

▸ **followUser**(`id`, `options?`): `Promise`\<[`UsersFollowingCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersFollowingCreateResponse)>

#### Parameters

| Name       | Type                |
| :--------- | :------------------ |
| `id`       | `string`            |
| `options?` | `FollowUserOptions` |

#### Returns

`Promise`\<[`UsersFollowingCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersFollowingCreateResponse)>

#### Defined in

[users/client.ts:5015](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5015)

***

### likePost

▸ **likePost**(`id`, `options`): `Promise`\<`Response`>

Like Post
Causes the authenticated user to Like a specific Post by its ID.

#### Parameters

| Name      | Type                                                            | Description                                                                  |
| :-------- | :-------------------------------------------------------------- | :--------------------------------------------------------------------------- |
| `id`      | `string`                                                        | The ID of the authenticated source User that is requesting to like the Post. |
| `options` | `LikePostOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                            |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:5123](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5123)

▸ **likePost**(`id`, `options?`): `Promise`\<[`UsersLikesCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersLikesCreateResponse)>

#### Parameters

| Name       | Type              |
| :--------- | :---------------- |
| `id`       | `string`          |
| `options?` | `LikePostOptions` |

#### Returns

`Promise`\<[`UsersLikesCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersLikesCreateResponse)>

#### Defined in

[users/client.ts:5136](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5136)

***

### getLikedPosts

▸ **getLikedPosts**(`id`, `options`): `Promise`\<`Response`>

Get liked Posts
Retrieves a list of Posts liked by a specific User by their ID.

#### Parameters

| Name      | Type                                                                 | Description                   |
| :-------- | :------------------------------------------------------------------- | :---------------------------- |
| `id`      | `string`                                                             | The ID of the User to lookup. |
| `options` | `GetLikedPostsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:5244](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5244)

▸ **getLikedPosts**(`id`, `options?`): `Promise`\<[`Get2UsersIdLikedTweetsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdLikedTweetsResponse)>

#### Parameters

| Name       | Type                   |
| :--------- | :--------------------- |
| `id`       | `string`               |
| `options?` | `GetLikedPostsOptions` |

#### Returns

`Promise`\<[`Get2UsersIdLikedTweetsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdLikedTweetsResponse)>

#### Defined in

[users/client.ts:5257](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5257)

***

### getPosts

▸ **getPosts**(`id`, `options`): `Promise`\<`Response`>

Get Posts
Retrieves a list of posts authored by a specific User by their ID.

#### Parameters

| Name      | Type                                                            | Description                   |
| :-------- | :-------------------------------------------------------------- | :---------------------------- |
| `id`      | `string`                                                        | The ID of the User to lookup. |
| `options` | `GetPostsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:5526](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5526)

▸ **getPosts**(`id`, `options?`): `Promise`\<[`Get2UsersIdTweetsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdTweetsResponse)>

#### Parameters

| Name       | Type              |
| :--------- | :---------------- |
| `id`       | `string`          |
| `options?` | `GetPostsOptions` |

#### Returns

`Promise`\<[`Get2UsersIdTweetsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdTweetsResponse)>

#### Defined in

[users/client.ts:5539](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5539)

***

### blockDms

▸ **blockDms**(`id`, `options`): `Promise`\<`Response`>

Block DMs
Blocks direct messages to or from a specific User by their ID for the authenticated user.

#### Parameters

| Name                         | Type     | Description                                                                        |
| :--------------------------- | :------- | :--------------------------------------------------------------------------------- |
| `id`                         | `string` | The ID of the target User that the authenticated user requesting to block dms for. |
| `options`                    | `Object` | -                                                                                  |
| `options.requestOptions`     | `Object` | -                                                                                  |
| `options.requestOptions.raw` | `true`   | -                                                                                  |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:5909](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5909)

▸ **blockDms**(`id`): `Promise`\<[`UsersDMBlockCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersDMBlockCreateResponse)>

#### Parameters

| Name | Type     |
| :--- | :------- |
| `id` | `string` |

#### Returns

`Promise`\<[`UsersDMBlockCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersDMBlockCreateResponse)>

#### Defined in

[users/client.ts:5922](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L5922)

***

### getListMemberships

▸ **getListMemberships**(`id`, `options`): `Promise`\<`Response`>

Get List memberships
Retrieves a list of Lists that a specific User is a member of by their ID.

#### Parameters

| Name      | Type                                                                      | Description                   |
| :-------- | :------------------------------------------------------------------------ | :---------------------------- |
| `id`      | `string`                                                                  | The ID of the User to lookup. |
| `options` | `GetListMembershipsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:6013](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6013)

▸ **getListMemberships**(`id`, `options?`): `Promise`\<[`Get2UsersIdListMembershipsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdListMembershipsResponse)>

#### Parameters

| Name       | Type                        |
| :--------- | :-------------------------- |
| `id`       | `string`                    |
| `options?` | `GetListMembershipsOptions` |

#### Returns

`Promise`\<[`Get2UsersIdListMembershipsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdListMembershipsResponse)>

#### Defined in

[users/client.ts:6026](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6026)

***

### getPinnedLists

▸ **getPinnedLists**(`id`, `options`): `Promise`\<`Response`>

Get pinned Lists
Retrieves a list of Lists pinned by the authenticated user.

#### Parameters

| Name      | Type                                                                  | Description                                                         |
| :-------- | :-------------------------------------------------------------------- | :------------------------------------------------------------------ |
| `id`      | `string`                                                              | The ID of the authenticated source User for whom to return results. |
| `options` | `GetPinnedListsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:6238](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6238)

▸ **getPinnedLists**(`id`, `options?`): `Promise`\<[`Get2UsersIdPinnedListsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdPinnedListsResponse)>

#### Parameters

| Name       | Type                    |
| :--------- | :---------------------- |
| `id`       | `string`                |
| `options?` | `GetPinnedListsOptions` |

#### Returns

`Promise`\<[`Get2UsersIdPinnedListsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdPinnedListsResponse)>

#### Defined in

[users/client.ts:6251](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6251)

***

### pinList

▸ **pinList**(`id`, `body`, `options`): `Promise`\<`Response`>

Pin List
Causes the authenticated user to pin a specific List by its ID.

#### Parameters

| Name                         | Type                                                                                   | Description                                                     |
| :--------------------------- | :------------------------------------------------------------------------------------- | :-------------------------------------------------------------- |
| `id`                         | `string`                                                                               | The ID of the authenticated source User that will pin the List. |
| `body`                       | [`ListPinnedRequest`](/xdks/typescript/reference/interfaces/Schemas.ListPinnedRequest) | Request body                                                    |
| `options`                    | `Object`                                                                               | -                                                               |
| `options.requestOptions`     | `Object`                                                                               | -                                                               |
| `options.requestOptions.raw` | `true`                                                                                 | -                                                               |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:6421](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6421)

▸ **pinList**(`id`, `body`): `Promise`\<[`ListPinnedResponse`](/xdks/typescript/reference/interfaces/Schemas.ListPinnedResponse)>

#### Parameters

| Name   | Type                                                                                   |
| :----- | :------------------------------------------------------------------------------------- |
| `id`   | `string`                                                                               |
| `body` | [`ListPinnedRequest`](/xdks/typescript/reference/interfaces/Schemas.ListPinnedRequest) |

#### Returns

`Promise`\<[`ListPinnedResponse`](/xdks/typescript/reference/interfaces/Schemas.ListPinnedResponse)>

#### Defined in

[users/client.ts:6436](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6436)

***

### getByUsername

▸ **getByUsername**(`username`, `options`): `Promise`\<`Response`>

Get User by username
Retrieves details of a specific User by their username.

#### Parameters

| Name       | Type                                                                 | Description |
| :--------- | :------------------------------------------------------------------- | :---------- |
| `username` | `string`                                                             | A username. |
| `options`  | `GetByUsernameOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -           |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:6533](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6533)

▸ **getByUsername**(`username`, `options?`): `Promise`\<[`Get2UsersByUsernameUsernameResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersByUsernameUsernameResponse)>

#### Parameters

| Name       | Type                   |
| :--------- | :--------------------- |
| `username` | `string`               |
| `options?` | `GetByUsernameOptions` |

#### Returns

`Promise`\<[`Get2UsersByUsernameUsernameResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersByUsernameUsernameResponse)>

#### Defined in

[users/client.ts:6546](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6546)

***

### unfollowUser

▸ **unfollowUser**(`sourceUserId`, `targetUserId`, `options`): `Promise`\<`Response`>

Unfollow User
Causes the authenticated user to unfollow a specific user by their ID.

#### Parameters

| Name                         | Type     | Description                                                                             |
| :--------------------------- | :------- | :-------------------------------------------------------------------------------------- |
| `sourceUserId`               | `string` | The ID of the authenticated source User that is requesting to unfollow the target User. |
| `targetUserId`               | `string` | The ID of the User that the source User is requesting to unfollow.                      |
| `options`                    | `Object` | -                                                                                       |
| `options.requestOptions`     | `Object` | -                                                                                       |
| `options.requestOptions.raw` | `true`   | -                                                                                       |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:6724](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6724)

▸ **unfollowUser**(`sourceUserId`, `targetUserId`): `Promise`\<[`UsersFollowingDeleteResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersFollowingDeleteResponse)>

#### Parameters

| Name           | Type     |
| :------------- | :------- |
| `sourceUserId` | `string` |
| `targetUserId` | `string` |

#### Returns

`Promise`\<[`UsersFollowingDeleteResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersFollowingDeleteResponse)>

#### Defined in

[users/client.ts:6741](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6741)

***

### getTimeline

▸ **getTimeline**(`id`, `options`): `Promise`\<`Response`>

Get Timeline
Retrieves a reverse chronological list of Posts in the authenticated User’s Timeline.

#### Parameters

| Name      | Type                                                               | Description                                                                              |
| :-------- | :----------------------------------------------------------------- | :--------------------------------------------------------------------------------------- |
| `id`      | `string`                                                           | The ID of the authenticated source User to list Reverse Chronological Timeline Posts of. |
| `options` | `GetTimelineOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                                        |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:6844](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6844)

▸ **getTimeline**(`id`, `options?`): `Promise`\<[`Get2UsersIdTimelinesReverseChronologicalResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdTimelinesReverseChronologicalResponse)>

#### Parameters

| Name       | Type                 |
| :--------- | :------------------- |
| `id`       | `string`             |
| `options?` | `GetTimelineOptions` |

#### Returns

`Promise`\<[`Get2UsersIdTimelinesReverseChronologicalResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdTimelinesReverseChronologicalResponse)>

#### Defined in

[users/client.ts:6857](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L6857)

***

### getFollowedLists

▸ **getFollowedLists**(`id`, `options`): `Promise`\<`Response`>

Get followed Lists
Retrieves a list of Lists followed by a specific User by their ID.

#### Parameters

| Name      | Type                                                                    | Description                   |
| :-------- | :---------------------------------------------------------------------- | :---------------------------- |
| `id`      | `string`                                                                | The ID of the User to lookup. |
| `options` | `GetFollowedListsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:7221](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7221)

▸ **getFollowedLists**(`id`, `options?`): `Promise`\<[`Get2UsersIdFollowedListsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdFollowedListsResponse)>

#### Parameters

| Name       | Type                      |
| :--------- | :------------------------ |
| `id`       | `string`                  |
| `options?` | `GetFollowedListsOptions` |

#### Returns

`Promise`\<[`Get2UsersIdFollowedListsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdFollowedListsResponse)>

#### Defined in

[users/client.ts:7234](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7234)

***

### followList

▸ **followList**(`id`, `options`): `Promise`\<`Response`>

Follow List
Causes the authenticated user to follow a specific List by its ID.

#### Parameters

| Name      | Type                                                              | Description                                                        |
| :-------- | :---------------------------------------------------------------- | :----------------------------------------------------------------- |
| `id`      | `string`                                                          | The ID of the authenticated source User that will follow the List. |
| `options` | `FollowListOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                  |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:7446](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7446)

▸ **followList**(`id`, `options?`): `Promise`\<[`ListFollowedResponse`](/xdks/typescript/reference/interfaces/Schemas.ListFollowedResponse)>

#### Parameters

| Name       | Type                |
| :--------- | :------------------ |
| `id`       | `string`            |
| `options?` | `FollowListOptions` |

#### Returns

`Promise`\<[`ListFollowedResponse`](/xdks/typescript/reference/interfaces/Schemas.ListFollowedResponse)>

#### Defined in

[users/client.ts:7459](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7459)

***

### unblockDms

▸ **unblockDms**(`id`, `options`): `Promise`\<`Response`>

Unblock DMs
Unblocks direct messages to or from a specific User by their ID for the authenticated user.

#### Parameters

| Name                         | Type     | Description                                                                          |
| :--------------------------- | :------- | :----------------------------------------------------------------------------------- |
| `id`                         | `string` | The ID of the target User that the authenticated user requesting to unblock dms for. |
| `options`                    | `Object` | -                                                                                    |
| `options.requestOptions`     | `Object` | -                                                                                    |
| `options.requestOptions.raw` | `true`   | -                                                                                    |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:7567](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7567)

▸ **unblockDms**(`id`): `Promise`\<[`UsersDMUnBlockCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersDMUnBlockCreateResponse)>

#### Parameters

| Name | Type     |
| :--- | :------- |
| `id` | `string` |

#### Returns

`Promise`\<[`UsersDMUnBlockCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersDMUnBlockCreateResponse)>

#### Defined in

[users/client.ts:7580](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7580)

***

### repostPost

▸ **repostPost**(`id`, `options`): `Promise`\<`Response`>

Repost Post
Causes the authenticated user to repost a specific Post by its ID.

#### Parameters

| Name      | Type                                                              | Description                                                                    |
| :-------- | :---------------------------------------------------------------- | :----------------------------------------------------------------------------- |
| `id`      | `string`                                                          | The ID of the authenticated source User that is requesting to repost the Post. |
| `options` | `RepostPostOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                              |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:7671](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7671)

▸ **repostPost**(`id`, `options?`): `Promise`\<[`UsersRetweetsCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersRetweetsCreateResponse)>

#### Parameters

| Name       | Type                |
| :--------- | :------------------ |
| `id`       | `string`            |
| `options?` | `RepostPostOptions` |

#### Returns

`Promise`\<[`UsersRetweetsCreateResponse`](/xdks/typescript/reference/interfaces/Schemas.UsersRetweetsCreateResponse)>

#### Defined in

[users/client.ts:7684](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7684)

***

### getBookmarkFolders

▸ **getBookmarkFolders**(`id`, `options`): `Promise`\<`Response`>

Get Bookmark folders
Retrieves a list of Bookmark folders created by the authenticated user.

#### Parameters

| Name      | Type                                                                      | Description                                                         |
| :-------- | :------------------------------------------------------------------------ | :------------------------------------------------------------------ |
| `id`      | `string`                                                                  | The ID of the authenticated source User for whom to return results. |
| `options` | `GetBookmarkFoldersOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                                                                   |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:7792](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7792)

▸ **getBookmarkFolders**(`id`, `options?`): `Promise`\<[`BookmarkFoldersResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkFoldersResponse)>

#### Parameters

| Name       | Type                        |
| :--------- | :-------------------------- |
| `id`       | `string`                    |
| `options?` | `GetBookmarkFoldersOptions` |

#### Returns

`Promise`\<[`BookmarkFoldersResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkFoldersResponse)>

#### Defined in

[users/client.ts:7805](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7805)

***

### getOwnedLists

▸ **getOwnedLists**(`id`, `options`): `Promise`\<`Response`>

Get owned Lists
Retrieves a list of Lists owned by a specific User by their ID.

#### Parameters

| Name      | Type                                                                 | Description                   |
| :-------- | :------------------------------------------------------------------- | :---------------------------- |
| `id`      | `string`                                                             | The ID of the User to lookup. |
| `options` | `GetOwnedListsOptions` & \{ `requestOptions`: \{ `raw`: `true`  }  } | -                             |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:7944](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7944)

▸ **getOwnedLists**(`id`, `options?`): `Promise`\<[`Get2UsersIdOwnedListsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdOwnedListsResponse)>

#### Parameters

| Name       | Type                   |
| :--------- | :--------------------- |
| `id`       | `string`               |
| `options?` | `GetOwnedListsOptions` |

#### Returns

`Promise`\<[`Get2UsersIdOwnedListsResponse`](/xdks/typescript/reference/interfaces/Schemas.Get2UsersIdOwnedListsResponse)>

#### Defined in

[users/client.ts:7957](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L7957)

***

### getBookmarksByFolderId

▸ **getBookmarksByFolderId**(`id`, `folderId`, `options`): `Promise`\<`Response`>

Get Bookmarks by folder ID
Retrieves Posts in a specific Bookmark folder by its ID for the authenticated user.

#### Parameters

| Name                         | Type     | Description                                                                             |
| :--------------------------- | :------- | :-------------------------------------------------------------------------------------- |
| `id`                         | `string` | The ID of the authenticated source User for whom to return results.                     |
| `folderId`                   | `string` | The ID of the Bookmark Folder that the authenticated User is trying to fetch Posts for. |
| `options`                    | `Object` | -                                                                                       |
| `options.requestOptions`     | `Object` | -                                                                                       |
| `options.requestOptions.raw` | `true`   | -                                                                                       |

#### Returns

`Promise`\<`Response`>

Promise resolving to the API response, or raw Response if requestOptions.raw is true

#### Defined in

[users/client.ts:8173](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L8173)

▸ **getBookmarksByFolderId**(`id`, `folderId`): `Promise`\<[`BookmarkFolderPostsResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkFolderPostsResponse)>

#### Parameters

| Name       | Type     |
| :--------- | :------- |
| `id`       | `string` |
| `folderId` | `string` |

#### Returns

`Promise`\<[`BookmarkFolderPostsResponse`](/xdks/typescript/reference/interfaces/Schemas.BookmarkFolderPostsResponse)>

#### Defined in

[users/client.ts:8190](https://github.com/xdevplatform/xdk-typescript/blob/81aacb165e0802e188f608bdf462b60fc4e713a2/src/users/client.ts#L8190)
